Package io.vertx.mqtt.messages

## Interface MqttSubscribeMessage

- All Superinterfaces:
    `MqttMessage`

      public interface MqttSubscribeMessage
      extends MqttMessage

  Represents an MQTT SUBSCRIBE message

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MqttSubscribeMessage` | `create​(int messageId, List<MqttTopicSubscription> topicSubscriptions)` | Create a concrete instance of a Vert.x subscribe message
    `static MqttSubscribeMessage` | `create​(int messageId, List<MqttTopicSubscription> topicSubscriptions, MqttProperties properties)` | Create a concrete instance of a Vert.x subscribe message
    `MqttProperties` | `properties()` |
    `List<MqttTopicSubscription>` | `topicSubscriptions()` |

    - ### Methods inherited from interface io.vertx.mqtt.messages.MqttMessage

      `messageId`

- - ### Method Detail

    - #### create

          static MqttSubscribeMessage create​(int messageId,
                                             List<MqttTopicSubscription> topicSubscriptions)

      Create a concrete instance of a Vert.x subscribe message
      Parameters:
        `messageId` - message identifier
        `topicSubscriptions` - list with topics and related quality of service levels (from Netty)
      Returns:
        Vert.x subscribe message

    - #### create

          static MqttSubscribeMessage create​(int messageId,
                                             List<MqttTopicSubscription> topicSubscriptions,
                                             MqttProperties properties)

      Create a concrete instance of a Vert.x subscribe message
      Parameters:
        `messageId` - message identifier
        `topicSubscriptions` - list with topics and related quality of service levels (from Netty)
        `properties` - MQTT message properties
      Returns:
        Vert.x subscribe message

    - #### topicSubscriptions

          List<MqttTopicSubscription> topicSubscriptions()

      Returns:
        List with topics and related quolity of service levels

    - #### properties

          MqttProperties properties()

      Returns:
        MQTT properties